Summary: HTTP configuration files for 2800WG aka qube2
Name: apache-conf-q2
Version: 1.0
Release: 13
Copyright: GPL
Group: Networking/Daemons
Source0: apache-conf-q2.tar.gz
BuildRoot: /tmp/apache-conf-q2
BuildArchitectures: noarch

%description
Configuration files for Apache on 2800WG aka qube2

%changelog
* Sun Jan 24 1999 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - Enable .htaccess for /usr/admserv/html/.cobalt/public/ in access.conf.user

* Sun Jan 17 1999 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - Fixed /admin redirect in srm.conf.user

* Fri Jan 15 1999 Duncan Laurie <duncan@cobaltnet.com>
 - copy the rewrite rules from admin server to public server

* Wed Jan 13 1999 Duncan Laurie <duncan@cobaltnet.com>
 - modify the rewrite rules/conditions

* Mon Jan 11 1999 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - Added aliases for public site in srm.conf.user

* Wed Jan 06 1999 Duncan Laurie <duncan@cobaltnet.com>
 - enable mod_rewrite in srm.conf

* Tue Dec 15 1998 Andrew Bose <andrew@cobaltnet.com>
	-1.0-7
	- enable .htm
	- add aliases for /home/programs/
	- allow .htaccess in /home/programs/

* Thu Nov 20 1998 Duncan Laurie <duncan@cobaltnet.com>
  - 1.0-6
  - turn on cgi/pl

* Thu Nov 11 1998 Will DeHaan <will@cobaltnet.com>
  - 1.0-5
  - Set AllowOverride to All for Frontpage compatibility

* Tue Nov 10 1998 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - 1.0-4
  - No extra trailing slash for cgiwrap

* Wed Oct 28 1998 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - 1.0-3
  - Added /users and /groups aliases

* Fri Oct 16 1998 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - 1.0-2
  - Fixed aliases
  - Fixed access.conf for /home/groups and /home/users

* Thu Oct 15 1998 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - 1.0-1
  - First build

%prep 
%setup -n apache-conf-q2

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
mkdir -p $RPM_BUILD_ROOT/etc/admserv/conf

install -m644 srm.conf.user ${RPM_BUILD_ROOT}/etc/httpd/conf/srm.conf
install -m644 access.conf.user ${RPM_BUILD_ROOT}/etc/httpd/conf/access.conf
install -m644 httpd.conf.user ${RPM_BUILD_ROOT}/etc/httpd/conf/httpd.conf
install -m644 mime.types.user ${RPM_BUILD_ROOT}/etc/httpd/conf/mime.types

install -m644 srm.conf.admin ${RPM_BUILD_ROOT}/etc/admserv/conf/srm.conf
install -m644 access.conf.admin ${RPM_BUILD_ROOT}/etc/admserv/conf/access.conf
install -m644 httpd.conf.admin ${RPM_BUILD_ROOT}/etc/admserv/conf/httpd.conf
install -m644 mime.types.admin ${RPM_BUILD_ROOT}/etc/admserv/conf/mime.types

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%attr(-,root,root) %config /etc/httpd/conf/srm.conf
%attr(-,root,root) %config /etc/httpd/conf/access.conf
%attr(-,root,root) %config /etc/httpd/conf/httpd.conf
%attr(-,root,root) %config /etc/httpd/conf/mime.types
%attr(-,root,root) %config /etc/admserv/conf/srm.conf
%attr(-,root,root) %config /etc/admserv/conf/access.conf
%attr(-,root,root) %config /etc/admserv/conf/httpd.conf
%attr(-,root,root) %config /etc/admserv/conf/mime.types
